import { defineStore } from "pinia";
import { ref } from "vue";

export const useAssignDataStore = defineStore("assign", () => {
  const assign = ref<any>([])
  const evaluate = ref<any>([])
  const tabs = ref<any>([]);
  const mainTab = ref<string>('tab1')


  const assignOutput = ref<any>([])
  const director = ref<any>([])

  const fecthdataAssign = async (data: any) => {
    assign.value = await data.assign
    evaluate.value = await data.evaluate
    tabs.value = await data.evaluate
  }
  const fecthAssignoutput = (data: any) => {
    assignOutput.value = data.assign_output
    director.value = data.director


  }
  return {
    fecthdataAssign,
    fecthAssignoutput,
    assign,
    evaluate,
    tabs,
    assignOutput,
    director,
    mainTab,
  };
});
